changeset 11006:76da4c1dc4a9

Avoid test-copy-file.sh failures when ACL support insufficient.
author Bruno Haible <bruno@clisp.org>
date Wed, 14 Jan 2009 00:12:56 +0100
parents 91cf8adc27a0
children f6cba5a556ce
files ChangeLog modules/copy-file-tests tests/test-copy-file.sh
diffstat 3 files changed, 14 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2009-01-13  Bruno Haible  <bruno@clisp.org>
+
+	Avoid test-copy-file.sh failures when ACL support insufficient.
+	* modules/copy-file-tests (Makefile.am): Pass USE_ACL in
+	TESTS_ENVIRONMENT.
+	* tests/test-copy-file.sh: Skip the ACL comparisons if USE_ACL is 0.
+	Reported by Jim Meyering.
+
 2009-01-13  Bruno Haible  <bruno@clisp.org>
 
 	* modules/unistdio/u-printf-args (Files): Add m4/stdint_h.m4 and
--- a/modules/copy-file-tests
+++ b/modules/copy-file-tests
@@ -13,6 +13,6 @@
 
 Makefile.am:
 TESTS += test-copy-file.sh
-TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@'
+TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@' USE_ACL=$(USE_ACL)
 check_PROGRAMS += test-copy-file
 test_copy_file_LDADD = $(LDADD) $(LIB_ACL) @LIBINTL@
--- a/tests/test-copy-file.sh
+++ b/tests/test-copy-file.sh
@@ -172,13 +172,15 @@
   func_test_copy ()
   {
     "$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
-    "$builddir"/test-sameacls${EXEEXT}  "$1" "$2" || exit 1
-    func_test_same_acls                 "$1" "$2" || exit 1
+    if test "$USE_ACL" != 0; then
+      "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
+      func_test_same_acls                "$1" "$2" || exit 1
+    fi
   }
 
   func_test_copy tmpfile0 tmpfile1
 
-  if test $acl_flavor != none; then
+  if test "$USE_ACL" != 0 && test $acl_flavor != none; then
     # Use a user and group id different from the current one, to avoid
     # redundant/ambiguous ACLs.
     myuid=`id -u`